# Class DataSourceErrorComponent

#### Implements

- OnChanges
- OnInit
- OnDestroy

- Defined in packages/angular/data-source/src/lib/data-source-error/data-source-error.component.ts:50

#####
Index

### Constructors

constructor

### Properties

error?
errorMessage
isNotRelease
loading?
refresh?
reset?
resetInProgress
retry?
retryInProgress

### Accessors

dataSourceLike

### Methods

ngOnChanges
ngOnDestroy
ngOnInit
triggerReset
triggerRetry

##
Constructors

### constructor

- new DataSourceErrorComponent(environment: Environment): DataSourceErrorComponent

  #### Parameters

  - environment: Environment

  #### Returns DataSourceErrorComponent

  - Defined in packages/angular/data-source/src/lib/data-source-error/data-source-error.component.ts:85

##
Properties

### `Optional` error

error?: unknown

- Defined in packages/angular/data-source/src/lib/data-source-error/data-source-error.component.ts:53

### errorMessage

errorMessage: WritableSignal<string> = ...

- Defined in packages/angular/data-source/src/lib/data-source-error/data-source-error.component.ts:78

### isNotRelease

isNotRelease: boolean = false

- Defined in packages/angular/data-source/src/lib/data-source-error/data-source-error.component.ts:76

### `Optional` loading

loading?: boolean | Observable<boolean>

- Defined in packages/angular/data-source/src/lib/data-source-error/data-source-error.component.ts:74

### `Optional` refresh

refresh?: () => void

- Defined in packages/angular/data-source/src/lib/data-source-error/data-source-error.component.ts:56

### `Optional` reset

reset?: () => void

- Defined in packages/angular/data-source/src/lib/data-source-error/data-source-error.component.ts:62

### resetInProgress

resetInProgress: WritableSignal<boolean> = ...

- Defined in packages/angular/data-source/src/lib/data-source-error/data-source-error.component.ts:81

### `Optional` retry

retry?: () => void

- Defined in packages/angular/data-source/src/lib/data-source-error/data-source-error.component.ts:59

### retryInProgress

retryInProgress: WritableSignal<boolean> = ...

- Defined in packages/angular/data-source/src/lib/data-source-error/data-source-error.component.ts:80

##
Accessors

### dataSourceLike

- set dataSourceLike(value: DataSourceLikeForErrorHandling): void

  #### Parameters

  - value: DataSourceLikeForErrorHandling

  #### Returns void

  - Defined in packages/angular/data-source/src/lib/data-source-error/data-source-error.component.ts:65

##
Methods

### ngOnChanges

- ngOnChanges(changes: SimpleChanges): void

  A callback method that is invoked immediately after the default change detector has checked data-bound properties if at least one has changed, and before the view and content children are checked.

  #### Parameters

  - changes: SimpleChanges

    The changed properties.

  #### Returns void

  Implementation of OnChanges.ngOnChanges

  - Defined in packages/angular/data-source/src/lib/data-source-error/data-source-error.component.ts:92

### ngOnDestroy

- ngOnDestroy(): void

  A callback method that performs custom clean-up, invoked immediately before a directive, pipe, or service instance is destroyed.

  #### Returns void

  Implementation of OnDestroy.ngOnDestroy

  - Defined in packages/angular/data-source/src/lib/data-source-error/data-source-error.component.ts:105

### ngOnInit

- ngOnInit(): void

  A callback method that is invoked immediately after the default change detector has checked the directive's data-bound properties for the first time, and before any of the view or content children have been checked. It is invoked only once when the directive is instantiated.

  #### Returns void

  Implementation of OnInit.ngOnInit

  - Defined in packages/angular/data-source/src/lib/data-source-error/data-source-error.component.ts:109

### triggerReset

- triggerReset(): void

  #### Returns void

  - Defined in packages/angular/data-source/src/lib/data-source-error/data-source-error.component.ts:142

### triggerRetry

- triggerRetry(): void

  #### Returns void

  - Defined in packages/angular/data-source/src/lib/data-source-error/data-source-error.component.ts:132